Run one of the caller's workflows as a new session in their daemon
curl --request POST \
--url https://pria.praxislxp.com/api/user/agents/v2/workflows/{id}/run \
--header 'x-access-token: <api-key>'import requests
url = "https://pria.praxislxp.com/api/user/agents/v2/workflows/{id}/run"
headers = {"x-access-token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-access-token': '<api-key>'}};
fetch('https://pria.praxislxp.com/api/user/agents/v2/workflows/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": "started",
"sessionId": "<string>",
"workflow": {
"id": "<string>",
"name": "<string>"
},
"message": "<string>"
}Agents
Run one of the caller's workflows as a new session in their daemon
Starts the workflow’s instruction as a headless turn in the caller’s daemon on the workflow’s twin and records an agent_workflow_run (executor daemon). The ⚡ button of the workflow sheet. The daemon is started first when needed. Super-only unless AGENTSV2_ENABLED=1.
POST
/
api
/
user
/
agents
/
v2
/
workflows
/
{id}
/
run
Run one of the caller's workflows as a new session in their daemon
Authorizations
JWT token passed in x-access-token header
Path Parameters
The workflow id (must be the caller's own, on the current twin).
Response
Accepted. status is started (the prompt is in the daemon) or provisioning (the Account VM is still starting — retry shortly; no run was recorded).
Was this page helpful?